package cz.moneta.test.dsl.ufo.banka.pages.fon;

import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.ufo.banka.pages.fon.SCN001_S001_IdDocumentsCopy.SCN001_S001_PAGE_LABEL_XPATH;

@Wait(value = SCN001_S001_PAGE_LABEL_XPATH, by = Lookup.XPATH, waitSecondsForElement = 80)
public interface SCN001_S001_IdDocumentsCopy extends WebFlow<SCN001_S001_IdDocumentsCopy> {
    String SCN001_S001_PAGE_LABEL_XPATH = "//div[text()='SCN001_S001']";

    String ID_CARD_RADIO = "SCN001_S001_R001_98";
    String ID_CARD_TYPE_COMBO = "SCN001_S001_C001";
    String CONTINUE_BUTTON = "SCN001_S001_B001";
    String CIF_RATIO_BUTTON = "SCN001_S001_R001";
    String CZECH_NATIONALITY_BUTTON = "SCN001_S001_B005";

    @Click(value = ID_CARD_RADIO, jsClick = true)
    SCN001_S001_IdDocumentsCopy clickIdCard();

    @Select(ID_CARD_TYPE_COMBO)
    SCN001_S001_IdDocumentsCopy selectIdCardType(String type);

    @Click(CONTINUE_BUTTON)
    SCN001_S001_IdDocumentsCopyTransitions clickContinue();

    @Click(CIF_RATIO_BUTTON)
    SCN001_S001_IdDocumentsCopy clickCif();

    @Click(CZECH_NATIONALITY_BUTTON)
    SCN001_S001_IdDocumentsCopy clickCzechNationality();
}
